/*======================================
Theme Name: Divi Child
Theme URI: https://divicake.com/
Description: Smart. Flexible. Beautiful. Divi is the most powerful theme in our collection.
Version: 4.14.1
Author: Elegant Themes
Author URI: http://www.elegantthemes.com
Template: Divi
======================================*/


/* You can add your own CSS styles here. Use !important to overwrite styles if needed. */

:root {
    --content-width: 90%;
    --theme-color1: #01143c;
    --theme-color1-rgb: 1, 20, 60;
    --theme-color2: #001f7d;
    --theme-color2-rgb: 0, 31, 125;
    --bs-black: #000000;
    --bs-black-rgb: 0, 0, 0;
    --bs-white: #ffffff;
    --bs-white-rgb: 255, 255, 255;
    --transition: all 500ms ease;
    --font-awesome-free: "Font Awesome 7 Free";
    --font-awesome-brands: "Font Awesome 7 Brands";
}

@-moz-document url-prefix() {
    * {
        scrollbar-width: thin; 
        scrollbar-color: var(--theme-color2) #efefef; 
    }
}

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    border-radius: 0px;
    background-color: #efefef; 
}

::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}
::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px var(--theme-color2);
    border-radius: 0px;
}
::-webkit-scrollbar-thumb {
    background: var(--theme-color2);
    border-radius: 10px;
    transition: var(--transition);
}

::-moz-selection {
    background: var(--theme-color2);
    color: var(--theme-color1);
}
::selection {
    background: var(--theme-color2);
    color: var(--theme-color1);
}
::-webkit-input-placeholder {
    color: inherit !important;
    opacity: 1;
}
:-ms-input-placeholder {
    color: inherit !important;
    opacity: 1;
}
::-ms-input-placeholder {
    color: inherit !important;
    opacity: 1;
}
::placeholder {
    color: inherit !important;
    opacity: 1;
}
body {
    overflow-y: auto;
    overflow-x: hidden;
    accent-color: var(--theme-color1);
    /* word-break: break-word; */
}
div#page-container {
    overflow-y: visible;
    overflow-x: hidden;
}
header #dd-hamburger .et_pb_blurb_content {
    display: flex;
    align-items: center;
}
body:not(.et-fb) #et-boc .et-l #dd-section {
    z-index: 999999 !important;
}
#wpadminbar {
    z-index: 9999999 !important;
}
.et_pb_row {
    width: 90%;
}

footer .et_pb_column .et_pb_widget.widget_nav_menu,
footer .et_pb_column .et_pb_widget_area {
    width: 100% !important;
    margin-right: 0 !important;
    margin-bottom: 0 !important;
    border-right: 0;
    padding-right: 0;
}
.wpcf7-spinner {
    position: absolute;
}
.wpa-test-msg {
    display: block;
    width: 100%;
    float: left;
}
.contact-form-sec form .et_pb_column {
    margin-bottom: 20px !important;
}
.equal-img, .equal-img * {
    height: 100%;
    display: flex;
    object-fit: cover;
}
.aspect-ratio-1 img {
    aspect-ratio: 1;
    object-fit: cover;
}
.aspect-ratio-2 img {
    aspect-ratio: 2;
    object-fit: cover;
}
.aspect-ratio-unset img {
    aspect-ratio: unset;
}
p:empty {
    padding-bottom: 0;
}
.grecaptcha-badge {
    margin-bottom: 100px!important;
    z-index:10;
}
div#ht-ctc-chat {
    z-index: 9 !important;
}

/* --main-title-- */
.main-title {
    & h5 {
        justify-content: flex-end;
        position: relative;
        margin-bottom: 0px;
        padding-bottom: 0;
        text-transform: uppercase;
        display: inline-flex;
        align-items: center;
        &:before {
            content: "";
            background-image: url(/wp-content/uploads/2026/04/title-icon.svg);
            background-size: contain;
            display: block;
            padding: 16px clamp(0.8125rem, -0.1414rem + 3.0526vw, 2.625rem);
            background-repeat: no-repeat;
            background-position: center;
        }
    }

    & h2 {  
        padding-bottom: 0;   
        z-index: 9;
        position: relative;
    }
    &.et_pb_bg_layout_dark {
        & h5 {
            &::before {
                /* filter: brightness(0) invert(1); */
            }
        }
    }
}

/* --main-title-close-- */


/*--back-to-top--*/
.et_pb_scroll_top.et-pb-icon {
    --size: clamp(2.5rem, 2.1711rem + 1.0526vw, 3.125rem);
    bottom: 15px;
    right: 15px;
    text-decoration: none;
    z-index: 999;
    width: var(--size);
    height: var(--size);
    align-items: center;
    transition: var(--transition);
    cursor: pointer;
    background: url(/wp-content/uploads/2026/04/favicon.png);
    font-size: 0;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;

    &:before {
        /* content: "";
        position: absolute;
        inset: 3px;
        display: flex;
        background-image: url(/wp-content/uploads/2026/03/title-icon.svg);
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
        align-items: center;
        justify-content: center; */
    }
}
/*--back-to-top-close--*/
/*******  | HEADER CODE |  *******/
.dd-fixed-header .et_pb_blurb_0_tb_header .et_pb_blurb_container{
    vertical-align:middle !important;
}
.dd-fixed-header .et_pb_blurb_0_tb_header .et_pb_blurb_container h4.et_pb_module_header {
    padding-bottom:3px;
}


/*******  | HOMEPAGE CODE |  *******/



/*******  | INNERPAGE CODE |  *******/



/*******  | FOOTER CODE |  *******/



/*******  | MEDIA QUERY CODE |  *******/


